Rated 5 out of 5 stars

Someone please update this! We really need this to work with FF3.0!